Get user asset
curl --request GET \
--url https://api.services.payward.com/v1/users/{user_id}/assets/{asset_type}/{asset_symbol} \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.services.payward.com/v1/users/{user_id}/assets/{asset_type}/{asset_symbol}"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/users/{user_id}/assets/{asset_type}/{asset_symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.services.payward.com/v1/users/{user_id}/assets/{asset_type}/{asset_symbol}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"API-Nonce: <api-key>",
"API-Sign: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.services.payward.com/v1/users/{user_id}/assets/{asset_type}/{asset_symbol}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.services.payward.com/v1/users/{user_id}/assets/{asset_type}/{asset_symbol}")
.header("API-Key", "<api-key>")
.header("API-Sign", "<api-key>")
.header("API-Nonce", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.services.payward.com/v1/users/{user_id}/assets/{asset_type}/{asset_symbol}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["API-Key"] = '<api-key>'
request["API-Sign"] = '<api-key>'
request["API-Nonce"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"symbol": "BTC",
"type": "crypto",
"name": "Bitcoin",
"website": "https://bitcoin.org/",
"docs": "https://bitcoin.org/bitcoin.pdf",
"description": "Bitcoin is the world's largest cryptocurrency project.",
"listing_date": "2013-10-06",
"price": "62081.0000",
"market_cap": "1244183483835",
"market_cap_rank": 1,
"trending_rank": 66,
"volume": {
"last_24h": "53096507160"
},
"supply": {
"circulating": "20038918",
"total": "20038918",
"max": "21000000",
"in_quote": {
"circulating": "1244036068358",
"total": "1244036068358",
"max": "1303701000000"
}
},
"price_range": {
"high_24h": "63120.0000",
"low_24h": "61540.0000",
"high_1y": "73750.0000",
"low_1y": "24900.0000"
},
"price_change_percent": {
"last_1h": "-0.31",
"last_24h": "-0.58",
"last_7d": "-15.62",
"last_30d": "-24.56",
"last_1y": "-40.69"
},
"ath": {
"value": "126080.0000",
"timestamp": "2025-10-06T18:57:42Z"
},
"buy_rate": "65.00",
"market_dominance": "52.40",
"status": {
"swap_trading": {
"enabled": true,
"disabled_against": [
{
"symbol": "USDT",
"type": "stablecoin"
},
{
"symbol": "SOL",
"type": "crypto"
}
]
},
"withdraw": {
"enabled": true
},
"deposit": {
"enabled": true
}
},
"logo": {
"width": 400,
"height": 400,
"href": "https://assets.kraken.com/marketing/web/icons-uni-webp/s_btc.webp",
"type": "image/webp"
},
"decimals": {
"funding": 8,
"swap": 10
}
},
"quote_symbol": "USD",
"quote_type": "fiat"
}{
"error": {
"type": "assets_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 400,
"code": "bad_request",
"causes": [
{
"field": "country",
"message": "must be a valid ISO 3166-1 alpha-2 country code"
}
]
}
}{
"error": {
"type": "assets_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 401,
"code": "unauthenticated"
}
}{
"error": {
"type": "assets_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 403,
"code": "forbidden"
}
}{
"error": {
"type": "assets_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 404,
"code": "not_found"
}
}{
"error": {
"type": "assets_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 429,
"code": "resource_exhausted"
}
}{
"error": {
"type": "assets_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 500,
"code": "internal"
}
}{
"error": {
"type": "assets_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 501,
"code": "unimplemented"
}
}{
"error": {
"type": "assets_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 503,
"code": "unavailable"
}
}{
"error": {
"type": "assets_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 504,
"code": "deadline_exceeded"
}
}Assets
Get user asset
Get information about a specific asset for a specific user, with that user’s geo restrictions applied.
GET
/
v1
/
users
/
{user_id}
/
assets
/
{asset_type}
/
{asset_symbol}
Get user asset
curl --request GET \
--url https://api.services.payward.com/v1/users/{user_id}/assets/{asset_type}/{asset_symbol} \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.services.payward.com/v1/users/{user_id}/assets/{asset_type}/{asset_symbol}"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/users/{user_id}/assets/{asset_type}/{asset_symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.services.payward.com/v1/users/{user_id}/assets/{asset_type}/{asset_symbol}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"API-Nonce: <api-key>",
"API-Sign: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.services.payward.com/v1/users/{user_id}/assets/{asset_type}/{asset_symbol}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.services.payward.com/v1/users/{user_id}/assets/{asset_type}/{asset_symbol}")
.header("API-Key", "<api-key>")
.header("API-Sign", "<api-key>")
.header("API-Nonce", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.services.payward.com/v1/users/{user_id}/assets/{asset_type}/{asset_symbol}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["API-Key"] = '<api-key>'
request["API-Sign"] = '<api-key>'
request["API-Nonce"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"symbol": "BTC",
"type": "crypto",
"name": "Bitcoin",
"website": "https://bitcoin.org/",
"docs": "https://bitcoin.org/bitcoin.pdf",
"description": "Bitcoin is the world's largest cryptocurrency project.",
"listing_date": "2013-10-06",
"price": "62081.0000",
"market_cap": "1244183483835",
"market_cap_rank": 1,
"trending_rank": 66,
"volume": {
"last_24h": "53096507160"
},
"supply": {
"circulating": "20038918",
"total": "20038918",
"max": "21000000",
"in_quote": {
"circulating": "1244036068358",
"total": "1244036068358",
"max": "1303701000000"
}
},
"price_range": {
"high_24h": "63120.0000",
"low_24h": "61540.0000",
"high_1y": "73750.0000",
"low_1y": "24900.0000"
},
"price_change_percent": {
"last_1h": "-0.31",
"last_24h": "-0.58",
"last_7d": "-15.62",
"last_30d": "-24.56",
"last_1y": "-40.69"
},
"ath": {
"value": "126080.0000",
"timestamp": "2025-10-06T18:57:42Z"
},
"buy_rate": "65.00",
"market_dominance": "52.40",
"status": {
"swap_trading": {
"enabled": true,
"disabled_against": [
{
"symbol": "USDT",
"type": "stablecoin"
},
{
"symbol": "SOL",
"type": "crypto"
}
]
},
"withdraw": {
"enabled": true
},
"deposit": {
"enabled": true
}
},
"logo": {
"width": 400,
"height": 400,
"href": "https://assets.kraken.com/marketing/web/icons-uni-webp/s_btc.webp",
"type": "image/webp"
},
"decimals": {
"funding": 8,
"swap": 10
}
},
"quote_symbol": "USD",
"quote_type": "fiat"
}{
"error": {
"type": "assets_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 400,
"code": "bad_request",
"causes": [
{
"field": "country",
"message": "must be a valid ISO 3166-1 alpha-2 country code"
}
]
}
}{
"error": {
"type": "assets_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 401,
"code": "unauthenticated"
}
}{
"error": {
"type": "assets_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 403,
"code": "forbidden"
}
}{
"error": {
"type": "assets_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 404,
"code": "not_found"
}
}{
"error": {
"type": "assets_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 429,
"code": "resource_exhausted"
}
}{
"error": {
"type": "assets_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 500,
"code": "internal"
}
}{
"error": {
"type": "assets_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 501,
"code": "unimplemented"
}
}{
"error": {
"type": "assets_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 503,
"code": "unavailable"
}
}{
"error": {
"type": "assets_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 504,
"code": "deadline_exceeded"
}
}Authorizations
Your public API key. Identifies the partner making the request.
HMAC signature over the request, computed with your private key.
Monotonically increasing nonce included in the request signature.
Path Parameters
Classification of the asset (fiat, crypto, stablecoin, or xstock).
Available options:
fiat, crypto, xstock, stablecoin Ticker symbol of an asset (e.g., BTC, USDC, EUR).
Required string length:
1 - 16Globally unique public identifier for a user.
Required string length:
14 - 42Query Parameters
Ticker symbol of the quote asset for valuations.
Required string length:
1 - 16Classification of the quote asset. Pair with quote_symbol to disambiguate when the same ticker exists across asset classes.
Available options:
fiat